Subject: Batching records into POSTGRES

From: Eric P Dean <[email-masked]>
Date: Wed, 08 Jun 1994 14:27:19 CDT

I am very new to POSTGRES so please excuse the naivete of the this question.
I am trying to "dump" several thousand (115,000) instances into a class.  I've
tried several formats that work when I put in about 10 records at a time using
the append command and cutting records out of the file and pasting them into
append commands in the monitor workspace.  However, when I try to append
around a thousand instances, by using the /e command and opening a emacs
window and inserting my datafile into the emacs window, saving the emacs file
and issuing a \g, I get a "Segmentation fault" error and I out of the monitor
program.  I've also tried to use the copy command with the same "Segmentation
fault" error.  It appears that POSTGRES brings in more records than it can
handle at a time and chokes when its load buffers are full?  How is it
possbile to populate a class with 115,000 instances without doing just a few
at a time?  ANY ASSISTANCE WILL BE GREATLY APPRECIATED!!!!!!

Eric Dean
Curator, Visaual Resources Collection
College of Design, Iowa State University

The following is a sampling of my data:

 append slides (ACCESSION = "91-4019",
 MEDIUM = "Graphic Design",
 CNTRY_NUM = "371",
 COUNTRY = "England",
 ARTIST_ARC = "Morris, William",
 TITLE = "Punches and matrices of the Kelmscott Press types",
 IS_CIRCA = "No",
 CENTURY = "19",
 SUBJECT = "NA",
 STYLE = "Arts and Crafts",
 BY_STYLE = "No",
 BOOKTITLE = "William Morris and the Art of the Book",
 PG_PL_FIG = "Plt 74",
 BOOKOWNER = "Parks Library",
 REQUESTOR = "Croyle",
 OUT = "No",
 DATE_ADDED = "09/27/91",
 UPDATED = "04/23/94")

 append slides (ACCESSION = "91-4021",
 MEDIUM = "Graphic Design",
 CNTRY_NUM = "371",
 COUNTRY = "England",
 ARTIST_ARC = "Morris, William",
 TITLE = "Initials printed from wood and electrotype at the Kelmscott
Press",
 IS_CIRCA = "No",
 CENTURY = "19",
 SUBJECT = "NA",
 STYLE = "Arts and Crafts",
 BY_STYLE = "No",
 BOOKTITLE = "William Morris and the Art of the Book",
 PG_PL_FIG = "Plt 78b",
 BOOKOWNER = "Parks Library",
 REQUESTOR = "Croyle",
 OUT = "No",
 DATE_ADDED = "09/27/91",
 UPDATED = "04/23/94")

 append slides (ACCESSION = "91-4121",
 MEDIUM = "Graphic Design",
 CNTRY_NUM = "238",
 COUNTRY = "India",
 ARTIST_ARC = "Sharma, B. G",
 TITLE = "Buddha",
 DATE = "1960's",
 IS_CIRCA = "Yes",
 CENTURY = "20",
 DESCRIPTN = "Poster",
 SUBJECT = "NA",
 BY_STYLE = "No",
 TECHNIQUE = "Chromolithograph",
 BOOKTITLE = "Tartakov duplicates",
 REQUESTOR = "Tartakov",
 OUT = "No",
 DATE_ADDED = "10/18/91",
 UPDATED = "04/23/94")

==============================================================================
   To add/remove yourself to/from the POSTGRES mailing list: send mail with 
   the subject line ADD or DEL to "[email-masked]"

   If this fails, send mail to "[email-masked]" and
   a human will deal with it.  DO NOT post to the "postgres" mailing list.
==============================================================================